// Copyright 1998-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniAIAT/OAIObjCTokenizer.h,v 1.6 1999/04/12 19:32:53 kc Exp $

#import <AIAT/IAAnalysis.h>
#import <AIAT/StringTerm.h>

extern "C" {
    #import <Foundation/Foundation.h>
    #import "OAITokenizerProtocol.h"
    #import <OmniFoundation/OFStringScanner.h>
}

class OAIObjCTokenizer : public IATokenStream {
public:
    OAIObjCTokenizer(id <OAITokenizerInstance> objCObject);
    ~OAIObjCTokenizer();

    IAToken *GetNextToken();
    void GetTextSpan(byte *dest, uint32 startPos, uint32 endPos);

private:
    id <OAITokenizerInstance> tokenizer;
    NSMutableArray *tokenArray;
};
