// Copyright 1998-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniAIAT/OAIQuery.h,v 1.3 1999/04/12 19:32:54 kc Exp $

#import <Foundation/NSObject.h>

@class NSArray;

@interface OAIQuery : NSObject
{
    unsigned int resultCount;
    void **hitList;
}

- initWithQuery:(NSString *)aQuery onIndices:(NSArray *)indices maxHits:(unsigned int)max;

- (unsigned int)resultCount;
- (float)scoreAtIndex:(unsigned int)index;
- (NSString *)filenameAtIndex:(unsigned int)index;
- (NSString *)pathAtIndex:(unsigned int)index;

@end
