// Copyright 1998-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniAIAT/OAITokenizerProtocol.h,v 1.4 1999/04/12 19:32:54 kc Exp $

#import <Foundation/NSObject.h>

@class OFStringScanner;

@protocol OAITokenizerInstance <NSObject>
- (NSString *)nextToken;
@end

@protocol OAITokenizer <NSObject>
- (id <OAITokenizerInstance>)tokenizerForScanner:(OFStringScanner *)scanner;
@end

@protocol OAITokenizerHolder <NSObject>
- (void *)cppTokenizerForStream:(void *)stream;
@end
